main {
  .background img:not(.loader),
  .currently,
  .weekly-forecast {
    opacity: 0;
    transition: opacity .75s ease-in-out;
  }

  .background .loader {
    height: auto;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    width: auto;
    z-index: 2;
  }

  .background:before {
    background-color: rgba($color: #000, $alpha: 1);
    transition: background-color .75s ease-in-out;
  }

  &.app-loaded {
    .background img:not(.loader),
    .currently,
    .weekly-forecast {
      opacity: 1;
    }

    .background .loader {
      display: none;
    }

    .background:before {
      background-color: rgba($color: #000, $alpha: .75);
    }
  }

  &.app-failed {
    .loader {
      display: none;
    }
  }
}
